kr.co.hanwha.hifive.screen.task.contract

## Interface AddTaskSelectCampaignContract.Presenter

- All Superinterfaces:
    BasePresenter
  All Known Implementing Classes:
    AddTaskSelectCampaignPresenter
  Enclosing interface:
    AddTaskSelectCampaignContract

      public static interface AddTaskSelectCampaignContract.Presenter
      extends BasePresenter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doCompleted()` 선택 완료
    `void` | `doSearchKeyword(java.lang.String keyword)` 검색
    `void` | `initData(int memberId)` 전체 캠페인 목록 조회
    `void` | `updateObjectSelect(CampaignData data)` 선택 상태 변경

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

      `detachView, getContext`

- - ### Method Detail

    - #### initData

          void initData(int memberId)

      전체 캠페인 목록 조회

    - #### updateObjectSelect

          void updateObjectSelect(@NonNull
                                  CampaignData data)

      선택 상태 변경
      Parameters:
        `data` - 멤버 정보

    - #### doCompleted

          void doCompleted()

      선택 완료

    - #### doSearchKeyword

          void doSearchKeyword(@Nullable
                               java.lang.String keyword)

      검색
      Parameters:
        `keyword` - 검색어